freebsd-ports/security/clamav-devel/files/pkg-install.in
Renato Botelho c83dd048d8 - Update to 20080221
- Fix pthread problem on 5.x to align with security/clamav
- Fix pkg-install to five correct permissions to log, db and run dirs
2008-02-21 15:38:31 +00:00

48 lines
1 KiB
Bash

#!/bin/sh
# $FreeBSD$
PREFIX=${PKG_PREFIX:-%%PREFIX%%}
CLAMAVUSER=%%CLAMAVUSER%%
CLAMAVGROUP=%%CLAMAVGROUP%%
UID=106
GID=$UID
DBDIR=%%DBDIR%%
LOGDIR=%%LOGDIR%%
RUNDIR=%%RUNDIR%%
PW="pw"
CHOWN="chown"
INSTALL_DIR="install -d -o ${CLAMAVUSER} -g ${CLAMAVGROUP} -m 0755"
if [ "$2" = "PRE-INSTALL" ]; then
if ! ${PW} groupshow ${CLAMAVGROUP} 2>/dev/null 1>&2; then
if ${PW} groupadd ${CLAMAVGROUP} -g $GID; then
echo "=> Added group \"${CLAMAVGROUP}\"."
else
echo "=> Adding group \"${CLAMAVGROUP}\" failed..."
exit 1
fi
fi
if ! ${PW} usershow ${CLAMAVUSER} 2>/dev/null 1>&2; then
if ${PW} useradd ${CLAMAVUSER} -u $UID -g ${CLAMAVGROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "Clam Antivirus"; \
then
${PW} groupmod mail -m ${CLAMAVUSER}
echo "=> Added user \"${CLAMAVUSER}\"."
else
echo "=> Adding user \"${CLAMAVUSER}\" failed..."
exit 1
fi
fi
elif [ "$2" = "POST-INSTALL" ]; then
${INSTALL_DIR} ${DBDIR} ${LOGDIR} ${RUNDIR}
${CHOWN} -R ${CLAMAVUSER}:${CLAMAVGROUP} ${DBDIR} ${LOGDIR} ${RUNDIR}
fi
exit 0